International Verification
List international verification records
Retrieve all verification attempt records for a specific entity
GET
/
entities
/
{entityId}
/
intl-verification-trials
/
{type}
List international verification records
curl --request GET \
--url https://app.api.getdal.sa/services/crm/entities/{entityId}/intl-verification-trials/{type} \
--header 'x-api-key: <api-key>' \
--header 'x-tenant: <x-tenant>'import requests
url = "https://app.api.getdal.sa/services/crm/entities/{entityId}/intl-verification-trials/{type}"
headers = {
"x-tenant": "<x-tenant>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-tenant': '<x-tenant>', 'x-api-key': '<api-key>'}};
fetch('https://app.api.getdal.sa/services/crm/entities/{entityId}/intl-verification-trials/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"page": 1,
"size": 10,
"totalCount": 36,
"totalPages": 4
},
"data": [
{
"identity": false,
"email": false,
"phoneNumber": false,
"address": false,
"bankAccount": false
}
]
}{
"errorCode": "NOT_FOUND",
"message": {
"en": "The requested record was not found",
"ar": "لم يتم العثور على السجل المطلوب"
},
"validationErrors": [
"<string>"
]
}{
"errorCode": "NOT_FOUND",
"message": {
"en": "The requested record was not found",
"ar": "لم يتم العثور على السجل المطلوب"
}
}{
"errorCode": "NOT_FOUND",
"message": {
"en": "The requested record was not found",
"ar": "لم يتم العثور على السجل المطلوب"
}
}{
"errorCode": "NOT_FOUND",
"message": {
"en": "The requested record was not found",
"ar": "لم يتم العثور على السجل المطلوب"
}
}Authorizations
Headers
Tenant identifier
Query Parameters
Show child attributes
Show child attributes
⌘I
List international verification records
